<?php
@session_start();
  $vg_login=$_SESSION["usuario"];
  if($vg_login<>""){}
 else
  {echo "<script>";
   echo "window.location='../index.php';";
   echo "</script>";
  }	
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<html>
<head>
<title>SIVI - VENTAS</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<LINK REL="SHORTCUT ICON" HREF="../sivi.ico">
<LINK href="../general.css" type=text/css rel=stylesheet>

<script src="../js/jquery.min.js"></script>
  <link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
  <script src="../bootstrap/js/bootstrap.min.js"></script>
 
 <script language="JavaScript" type="text/JavaScript">
  window.resizeTo(screen.availWidth, screen.availHeight); 
  window.moveTo(0,0); 
 </script>
 
 <script language="javascript">
	function mascara(o,f){  
		v_obj=o;  
		v_fun=f;  
		setTimeout("execmascara()",1);  
	}  
	function execmascara(){   
		v_obj.value=v_fun(v_obj.value);
	}  
	function cpf(v){     
		v=v.replace(/([^0-9\.]+)/g,''); 
		v=v.replace(/^[\.]/,''); 
		v=v.replace(/[\.][\.]/g,''); 
		v=v.replace(/\.(\d)(\d)(\d)/g,'.$1$2'); 
		v=v.replace(/\.(\d{1,2})\./g,'.$1'); 
		v = v.toString().split('').reverse().join('').replace(/(\d{3})/g,'$1,');    
		v = v.split('').reverse().join('').replace(/^[\,]/,''); 
		return v;  
	}  
	function calcular(){
		var varMonto;
		var varIva;
		var varSubTotal;
		
		varMonto = document.getElementById("importe").value;	
		varMonto = varMonto.replace(/[\,]/g,''); 
		
		varIva = parseFloat(varMonto).toFixed(2) * 0.15;
		document.getElementById("iva").value = addCommas(parseFloat(varIva).toFixed(2)) ;
		
		varSubTotal = parseFloat(varMonto) + parseFloat(varIva);
		document.getElementById("subtotal").value = addCommas(parseFloat(varSubTotal).toFixed(2)) ;

	}
	
	function addCommas(nStr){
		nStr += '';
		x = nStr.split('.');
		x1 = x[0];
		x2 = x.length > 1 ? '.' + x[1] : '';
		var rgx = /(\d+)(\d{3})/;
		while (rgx.test(x1)) {
			x1 = x1.replace(rgx, '$1' + ',' + '$2');
		}
		return x1 + x2;
	}
	
</script>
</head>

<BODY onLoad="parametros.id.focus();" onBlur="parametros.id.focus();" onFocus="parametros.id.focus();">

<?php
 
include "../valida_permisos.php";
$vg_programa = F_programa();
include "../seguridad.php";
$ip=getenv("REMOTE_ADDR");


$vp_nompro="sivi";
$sql_codpro=mysqli_query($conseg,"select Id,Nombre,descripcion,version 
					from programa where Nombre='".trim($vp_nompro)."'");
while($datos= mysqli_fetch_row($sql_codpro)){$vr_codpro=$datos[0];}

$sql_codpro=mysqli_query($conseg,"select perfil	 from permiso where login='".$vg_login."' and programa='".$vr_codpro."'");
	while($datos= mysqli_fetch_row($sql_codpro)){  $perfil=$datos[0];}

 $sql_datosuser = mysqli_query($conseg,"SELECT nombre,apellido  FROM usuario where login='".$vg_login."'");
 while($datosrs= mysqli_fetch_row($sql_datosuser)){ $nombre=$datosrs[0];$apellido=$datosrs[0];}
 $nuser=$nombre." ".$apellido;

include "../conexion.php";
  $sql_datosuser = mysqli_query($conexion,"SELECT empresa  FROM empresa_usuario where usuario='".$vg_login."'");
 while($datosrs= mysqli_fetch_row($sql_datosuser)){  $empresa=$datosrs[0];}
 

$preventa=0;
$cantidad="";	$precio=""; 	$proveedor=""; 	$observacion=""; 	$fecha=""; 					  
$cliente="0";$cantidadp="";$nfactura="";$id="";

date_default_timezone_set('America/Bogota');
$hora=date("H:i:s");
$fecha=date("Y-m-d");
$id=$_REQUEST["id"];
$rs_proveedor=mysqli_query($conexion,"SELECT id,nombre FROM proveedor where estado='A'
						 union 
						 select 0,'' from  proveedor
						 order by nombre asc");			

if(isset($_REQUEST["oculto"]))
{ 
	$id=$_REQUEST["id"]; 
	$preventa=$_REQUEST["preventa"];   		
	$cliente=$_REQUEST["cliente"];  
	if($id==0){$id="";}
    $nfactura=$_REQUEST["nfactura"];  

 if($_REQUEST["Oimprime"]==1)
 {
		   echo "<script>					   	javascript:window.open('imprimepos.php?id=$nfactura','Imprimefactura','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=400,height=500');
							   </script>";
							   
/*							   		   echo "<script>					   	javascript:window.open('frm_ventasimprime.php?id=$nfactura','Imprimefactura','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=800,height=500');
							   </script>";
						
*/
 
 }

 
  if($_REQUEST["Onuevaventa"]==1)
  {
		 $rs_nuevaventa=mysqli_query($conexion,"SELECT preventa FROM parametros");
		 while($datosrs= mysqli_fetch_row($rs_nuevaventa)){ $preventa=$datosrs[0];}
		 $rs_updatenuevaventa=mysqli_query($conexion,"update parametros set preventa='".$preventa."'");
		 $cliente="";$id="";
		 //echo "ingreso aca";
		 
		 echo "<script>";   
		 echo "window.location='frm_ventas.php";  
		 echo "</script>";
		 
  }
 

if($_REQUEST["Oguardar"]==1)
	{   
	     if($preventa>=1)
		 {
			 $rs_nuevaventa=mysqli_query($conexion,"SELECT count(*) as contar FROM preventa where preventa='".$preventa."' and usuario='".$vg_login."'");
			 while($datosrs= mysqli_fetch_row($rs_nuevaventa)){ $contar=$datosrs[0];}
			 if($contar>=1)
			   { $pasopreventa=0;
				 $horasistema=date("H:i:s");
				 $rs_nuevaventa=mysqli_query($conexion,"SELECT factura FROM parametros where id='".$empresa."'");
				 while($datosrs= mysqli_fetch_row($rs_nuevaventa)){ $factura=$datosrs[0]+1;}
				 
				 $sql_datos=mysqli_query($conexion,"SELECT id,producto,cantidad,precio,fecsis,usuario,preciocompra from preventa
										            where preventa='".$preventa."' and usuario='".$vg_login."' and empresa='".$empresa."'
										            order by id asc");
				   while ($datos= mysqli_fetch_row($sql_datos))//04e
					  { 
						$idi=$datos[0];
						$producto=$datos[1];
						$cantidad=$datos[2];
						$precio=$datos[3];		
						$preciocompra=$datos[4];		
						$totalitem=$cantidad*$precio;
						$sql_insert=mysqli_query($conexion,"insert into venta (fecha,hora,producto,cantidad,precio,total,fecsis,usuario,estado,factura,preciocompra,empresa)
														values	('".date("Y-m-d")."','".$horasistema."','".$producto."','".$cantidad."','".$precio."','".$totalitem."',
																 '".date("Y-m-d")."','".$vg_login."','F','".$factura."','".$preciocompra."','".$empresa."')");
						if($sql_insert)
							{
							   $sql_delete=mysqli_query($conexion,"delete from  preventa  where id=".$idi."");
							   $pasopreventa=1;
							}										 
					   } 
					 if($pasopreventa==1)
					   {$preventa="";$id="";
						$rs_updatenuevaventa=mysqli_query($conexion,"update parametros set factura='".$factura."'");
					   }  
				 
			   }
			 else
			   { echo "<script>";   echo "alert('No existe items asociados a la pre-factura')"; echo "</script>";
			   }  
		}	   
  }//fin

 
if($_REQUEST["oagregar"]==1)
	{   
	    $cantidad=$_REQUEST['cantidad'];
		$precio=$_REQUEST['precio'];
		if($cantidad>=1)
		 {  
			 $sql_datosrs=mysqli_query($conexion,"SELECT count(*) as contar from producto where codigobarra='".$_REQUEST["id"]."' and empresa='".$empresa."'");
			 while($datosrs= mysqli_fetch_row($sql_datosrs)){ $contar=$datosrs[0];}
			  if($contar>=1)
			  {
			   $sql_datosrs=mysqli_query($conexion,"SELECT id from producto where codigobarra='".$_REQUEST["id"]."' and empresa='".$empresa."'");
			   while($datosrs= mysqli_fetch_row($sql_datosrs)){ $id=$datosrs[0];}
			  }
			
			$sql_datosre=mysqli_query($conexion,"SELECT iva,preciounitario from producto where id='".$id."' and empresa='".$empresa."'");
			while($datosrs= mysqli_fetch_row($sql_datosre)){ $iva=$datosrs[0]; $preciounitario=$datosrs[1];}
			if($iva>=0){} else {$iva=0;}
 		    $sql_insert=mysqli_query($conexion,"insert into preventa (fecha,hora,producto,cantidad,precio,fecsis,usuario,estado,preventa,iva,paqueteunidad,preciocompra,empresa)
		 										    values	('".date("Y-m-d")."','".date("Y-m-d")."','".$id."','".$cantidad."','".$precio."',
															 '".date("Y-m-d")."','".$vg_login."','A','".$preventa."','".$iva."','U','".$preciounitario."','".$empresa."')");
		
     if($sql_insert)
			 	{$id="";}													 
					 
		  }//fin cliclo
         else
		 {echo "<script>";   echo "alert('Debe digitar la cantidad para agregar el items')"; echo "</script>"; }
  }//fin

if($_REQUEST["oquita"]==1)
	{   
	    $c=1; $canti=$_REQUEST['canti'];
		  while($c<=$canti)
		   {  if(isset($_REQUEST['ch'.$c])) {$val=1; }	  else {$val=0;} 
			   $idi=$_REQUEST['idi'.$c];
			   if($val==1)
				  {   $sql_delete=mysqli_query($conexion,"delete from  preventa  where id=".$idi." and empresa='".$empresa."'");
					  if($sql_delete) {}
					  else {}
				   }//fin valida chequeo
			  $c=$c+1;
		   }//fin cliclo
  }//fin
  
  
if($_REQUEST["Opaquete"]==1)
	{   
	    	
		$c=1; $canti=$_REQUEST['canti'];
		  while($c<=$canti)
		   {   $idi=$_REQUEST['idi'.$c];
		       $producto=$_REQUEST['producto'.$c];
			   $paqueteunidad=$_REQUEST['paqueteunidad'.$c];
			   $cantproducto=$_REQUEST['cantp'.$c];
			   $contarcar=strlen($paqueteunidad);
			   $rf=$contarcar-1;
			   $pu=substr($paqueteunidad,0,1);
			   $id=substr($paqueteunidad,1,$rf);
			   if($producto==$id)
			    {
				//sacamos el precio por unidad y paquete
				 $sql_datosrs=mysqli_query($conexion,"SELECT id,nombre,descripcion,preciounitario,precioventa,productofamilia,marca,iva,
											codigobarra,estado,ubicacion,paqueteunidad,cantidadpaquete,preciopaquete
											 from producto
											where id='".$id."' and empresa='".$empresa."'");
				 while($datosrs= mysqli_fetch_row($sql_datosrs)){ $precioventa=$datosrs[4]; $preciopaquete=$datosrs[13];}
				
				 if($pu=='P'){$precio=$preciopaquete;}
				 if($pu=='U'){$precio=$precioventa;}
				 
				 $sql_insert=mysqli_query($conexion,"update preventa set precio='".$precio."',paqueteunidad='".$pu."'
				 						 where id='".$idi."'");
				}//fin valida chequeo
			  
			  
			  $c=$c+1;
		   }//fin cliclo
  }//fin  
 
 
  
if($_REQUEST["oquitacli"]==1)
	{   
	   $cliente="";
   }//fin
  

if($_REQUEST["Oprocesacantidad"]==1)
	{   
	    $c=1; $canti=$_REQUEST['canti'];
		  while($c<=$canti)
		   {   $idi=$_REQUEST['idi'.$c];
			   $cantipro=$_REQUEST['cantipro'.$c];
			   $preciopro=$_REQUEST['preciopro'.$c];
			   $descuentop=$_REQUEST['descuentop'.$c];
			   $descuentop=str_replace(',','',$descuentop);
			   $totalproduc=$preciopro*$cantipro;
			   if($descuentop<>""){} else {$descuentop=0;}
			   $sql_datos=mysqli_query($conexion,"update preventa set 
			  						   cantidad='".$cantipro."',
									   descuentop='".$descuentop."'
									   where id='".$idi."'
									   and empresa='".$empresa."'");
										 
			   $c=$c+1;
		   }//fin cliclo
  }//fin
  


if($_REQUEST["Oquitaprefactura"]==1)
 {   
    $rs_nuevaventa=mysqli_query($conexion,"SELECT count(*) as contar FROM preventa where preventa='".$preventa."' and usuario='".$vg_login."' and empresa='".$empresa."'");
	 while($datosrs= mysqli_fetch_row($rs_nuevaventa)){ $contar=$datosrs[0]; }
	if($contar>=1)
	   {
	     $rs_quita=mysqli_query($conexion,"delete FROM preventa where preventa='".$preventa."' and usuario='".$vg_login."' and empresa='".$empresa."'");
		 $preventa="";
	   }
 }
  

  
}

 if($_REQUEST["Obuscar"]==1)
 {   $id=$_REQUEST["id"];
    
		if($id>=0 && $id<>"")
			 {
				//veriricamos si hay una prefactura activa
					
					$sql_contar=mysqli_query($conexion,"SELECT count(*) as contar from preventa where usuario='".$vg_login."' and empresa='".$empresa."'");
					 while($datosrs= mysqli_fetch_row($sql_contar)){ $contar=$datosrs[0]; }
					if($contar>=1) 
					 { 
					   $sql_contar=mysqli_query($conexion,"SELECT preventa from preventa where usuario='".$vg_login."' and empresa='".$empresa."'");
					    while($datosrs= mysqli_fetch_row($sql_contar)){ $preventa=$datosrs[0]; }
					 }
					else
					  {
					     $rs_nuevaventa=mysqli_query($conexion,"SELECT preventa FROM parametros where id='".$empresa."'");
						 while($datosrs= mysqli_fetch_row($rs_nuevaventa)){ $preventa=$datosrs[0]+1; }
						 $rs_updatenuevaventa=mysqli_query($conexion,"update parametros set preventa='".$preventa."'");
					  }
					
					
					 $contarcar=strlen($id);$entrocar=0;
					 for($cc=0;$cc<=$contarcar;$cc++)
					   {
					     $car=substr($id,$cc,1);
						// echo $car."<br>";
						 if($car=='*')
						   {
						    $cf=$cc+1;  $cfc=$cc;
						    $totalcarid=$contarcar-$cf;    
						    $cantidadp=substr($id,0,$cfc);
						    $idp=substr($id,$cf,$totalcarid);
							$entrocar=1;	
							break;				
						   }						   
					   }
					 if($entrocar==0){$cantidadp=1;$idp=$id;}
					 
					 if($perfil==2){$sqlbodega="and ubicacion='1'";}
		             if($perfil==1){$sqlbodega="and ubicacion in ('1','2','3')";}
		  
					 $contar=0;
					 $sql_datosrs1=mysqli_query($conexion,"SELECT count(*) as contar from producto where codigobarra='".$idp."'");
					 while($datosrs1= mysqli_fetch_row($sql_datosrs1)){ $contar=$datosrs1[0]; }
					  if($contar>=1)
					  {
					   $sql_datosrs=mysqli_query($conexion,"SELECT id from producto where codigobarra='".$idp."'");
					   while($datosrs= mysqli_fetch_row($sql_datosrs)){ $idp=$datosrs[0]; }					   
					  }
					
					
				      $sql_datosrs=mysqli_query($conexion,"SELECT count(*) as contar from producto where id='".$idp."'");
				      while($datosrs= mysqli_fetch_row($sql_datosrs)){  $contar=$datosrs[0]; }
					  if($contar>=1)
					  {					    
							$sql_datosre=mysqli_query($conexion,"SELECT id,nombre,descripcion,precioventa,productofamilia,marca,iva,paqueteunidad,preciounitario
													  from producto where id='".$idp."'");	
							while($datosrs= mysqli_fetch_row($sql_datosre))
							{ 
								$nombre=$datosrs[1];
								$descripcion=$datosrs[2];
								$precio=$datosrs[3];
								$productofamilia=$datosrs[4];
								$marca=$datosrs[5];		
								$iva=$datosrs[6];
								$paqueteunidad=$datosrs[7];
								$preciounitario=$datosrs[8];
							}
							
							 if($iva>0)
									  {
									   if($iva==19){$calclaiva=1.19;}
									   if($iva==5){$calclaiva=1.05;}
									   if($iva==10){$calclaiva=1.10;}
									   $valorsuma=round($precio/$calclaiva);
									   $totaliva=$precio-$valorsuma;
									   $precio=$precio-$totaliva;
									  }
							 else {$totaliva=0;}
									 
							//if($iva>0){$totaliva=($totalitem*$iva)/100;}
							//else {$totaliva=0;}
													
							if($paqueteunidad=='U' || $paqueteunidad=='PU') 
							{$paqueteunidad='U';
							 $sql_insertar=mysqli_query($conexion,"insert into preventa (fecha,hora,producto,cantidad,precio,fecsis,usuario,estado,preventa,iva,paqueteunidad,preciocompra,empresa)
												values	('".$fecha."','".$hora."','".$idp."','".$cantidadp."','".$precio."',
											 '".$fecha."','".$vg_login."','A','".$preventa."','".$totaliva."','".$paqueteunidad."','".$preciounitario."','".$empresa."')");
							 if($sql_insertar)
							    {$id="";$cantidadp="1"; $_REQUEST["id"]=""; }
							 else
							    {echo "<script>";   echo "alert('error al ingresar el producto')"; echo "</script>";}
							}  
					    }
					  else
					   {echo "<script>";   echo "alert('No existe el producto')"; echo "</script>";
					    $id="";
					   }	
		   }	

			

}



$sql_contar=mysqli_query($conexion,"SELECT nombre,direccion,telefono,lema,nombrefactura from parametros where id='".$empresa."'");
while($datosrs= mysqli_fetch_row($sql_contar))
{ 
	$nombre=$datosrs[0];			
	$direccion=$datosrs[1];			
	$telefono=$datosrs[2];			
	$lema=$datosrs[3];			
	$nombrefactura=$datosrs[4];			
}

?>


<form name="parametros" method="post" action="" >

<div id="informes" class="container text-center" style="width:100%;">
    <div class="panel panel-default">
      <div class="panel-heading">
       <table width="100%">
	     <tr>
           <td width="13%" align="left" valign="middle">
                    <?php 
                     echo "<img src='../imagenes/logocliente.png' width='100px' height='50px'>";
                     //if($empresa==2) { echo "<img src='../imagenes/logoe2.png' width='100px' height='50px'>";}
                    ?>
            </td>
        	<td width="62%" align="center"><strong><font size="6"></font></strong></td>
            <td width="25%" align="right"><?php echo $vg_login." - ".$nuser."<br>".date("d/m/Y")."<br>";  ?></td>
	     </tr>
       </table>
     </div>
              <div align="center"> 
         
				<table width="100%" border="0" cellspacing="0" cellpadding="0">
                      <tr>
                        <td width="6%"><div align="center">Producto</div></td>
                        <td width="11%">
                        	<strong></strong>
                            <input name="id" type="text"   id="id" value="<?php echo $id; ?>" autocomplete="off"
                            class="form-control" data-placement="right" title="Digite Codigo de Barras/ Codigo Item" style="width: 150px" 
                            onkeypress="if(event.keyCode==13){Obuscar.value=1;submit();} return valida(event);" >
                           
                        	<label></label></td>
                        <td align="right">
                        <table  width="90%" border="0" cellpadding="0" cellspacing="0" style="font-size:12px;">
                          <tr>
                            <td width="10%" align="center"><a href='#' onClick="javascript:window.open('frm_producto_buscar.php?tabla=producto&Obuscar=0&empresa=<?php echo $empresa;?>','buscarpro','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=800,height=600');">[B]Buscar</a></td>
                            <td width="10%" align="center"> <a href='#' onClick="javascript:window.open('frm_producto_precio.php?preventa=<?php echo $preventa;?>&Obuscar=0&empresa=<?php echo $empresa;?>','bc','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=400,height=600');">[P]Precio </a></td>
                            <td width="10%" align="center"><a href='#' onClick="javascript:window.open('frm_cliente_buscar.php?preventa=<?php echo $preventa;?>&Obuscar=0&empresa=<?php echo $empresa;?>','bc','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=800,height=600');">[C]Cliente</a> </td>
                            <td width="10%" align="center"><a href='#' onClick="javascript:window.open('frm_ventas_factura.php?preventa=<?php echo $preventa;?>&cliente=<?php echo $cliente;?>&Oguardar=0&empresa=<?php echo $empresa;?>','bc','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=800,height=600');">[F]Factura</a></td>
                            <td width="10%" align="center"><a href='#' onClick="javascript:window.open('frm_producto_preventa.php?tabla=preventa&empresa=<?php echo $empresa;?>','bc','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=400,height=600');">[R]Preventa</a></td>
                            <td width="10%" align="center"><a href='#' onClick="javascript:window.open('frm_ventas_dia.php?empresa=<?php echo $empresa;?>','bc','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=900,height=600');">Facturas</a></td>
                            <td width="10%" align="center"><a href='#' onClick="javascript:window.open('frm_ventas_credito.php?empresa=<?php echo $empresa;?>.php','bc','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=900,height=600');">Abonos</a></td>
                            
                            <td width="10%" align="center">
                                <a href='#' onClick="javascript:window.open('../plansepare/frm_plansepare.php?Obuscar=0&empresa=<?php echo $empresa;?>&id=&ocliente=','ps','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=900,height=600');">Plan Separe</a>
                            </td>                     
                            
                            <td width="10%" align="center"><a href='#' onClick="window.location='../index.php';">Cerrar</a></td>
                            
                            
                          </tr>
                          <tr>
                            <td align="center" >
                            <a href='#' onClick="javascript:window.open('frm_producto_buscar.php?tabla=producto&Obuscar=0&empresa=<?php echo $empresa;?>','buscarpro','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=800,height=700');">
                            <img src="../imagenes/buscarn.png" width="30" height="30" alt="Clic para Buscar Productos" /></a></td>
                            <td align="center">
                            <a href='#' onClick="javascript:window.open('frm_producto_precio.php?preventa=<?php echo $preventa;?>&Obuscar=0&empresa=<?php echo $empresa;?>','bc','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=400,height=600');">
                            <img src="../imagenes/precio.png" width="30" height="30" alt="Clic para COnsultar Precio"/></a></td>
                            <td align="center">
                            <a href='#' onClick="javascript:window.open('frm_cliente_buscar.php?preventa=<?php echo $preventa;?>&Obuscar=0&empresa=<?php echo $empresa;?>','bc','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=800,height=600');">
                            <img src="../imagenes/clientes.jpg" width="30" height="30" alt="Clic para Buscar Cliente"/></a></td>
                            <td align="center">
                            <a href='#' onClick="javascript:window.open('frm_ventas_factura.php?preventa=<?php echo $preventa;?>&cliente=<?php echo $cliente;?>&Oguardar=0&empresa=<?php echo $empresa;?>','bc','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=800,height=600');">
                            <img src="../imagenes/factura.png" width="30" height="30" alt="Clic para Gererar Factura"/></a></td>
                            <td align="center">
                            <a href='#' onClick="javascript:window.open('frm_producto_preventa.php?tabla=preventa&empresa=<?php echo $empresa;?>','bc','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=400,height=600');">
                            
                            <img src="../imagenes/prefactura.jpg" width="30" height="30" alt="Clic para Ver preventas"/></a></td>
                            <td align="center"><a href='#' onClick="javascript:window.open('frm_ventas_dia.php?empresa=<?php echo $empresa;?>','bc','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=900,height=600');"><img src="../imagenes/factura.png" width="30" height="30" alt="Clic para Ver preventas"/></a></td>
                            
                          
                            <td align="center"><a href='#' onClick="javascript:window.open('frm_ventas_credito.php?empresa=<?php echo $empresa;?>','bc','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=900,height=600');"><img src="../imagenes/pagos.png" width="30" height="30" alt="Clic para Ver preventas"/></a></td>
                            <td align="center"><a href='#' onClick="javascript:window.open('../plansepare/frm_plansepare.php?empresa=<?php echo $empresa;?>&id=&ocliente=','bc','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=900,height=600');"><img src="../imagenes/factura.png" width="30" height="30" alt="Clic para Ver Plan separe"/></a></td>
                            
                            <td align="center"><a href='#' onClick="window.location='../index.php';"><img src="../imagenes/salidasegura.png" width="30" height="30" alt="Salida Segura"/></a></td>
                            
                            
                            
                          </tr>
                          
                        </table>    
                        
                        </td>
                      </tr>
                    </table>
            
            
                <table width="100%" border="0" cellspacing="0" cellpadding="0">
                      <tr>
                        <td width="70%" rowspan="3" align="center" valign="top">
                        
                          <input name="cliente" type="hidden"   id="cliente" value="<?php echo $cliente; ?>" size="20" >
                          
                          <?php

					   if($preventa<>"")
					   {
							echo "<center> <table width='100%' border='0' cellpadding='0' cellspacing='0' class='table table-hover'>";
							echo "<tr><td colspan='7' class='btn-primary'><font size='4'>
							<CENTER>DETALLE DE PREFACTURA $preventa</CENTER></font></td></tr>";
							echo "<tr>";
							echo "<td width='5%' class='btn-primary'></td>";
							echo "<td width='10%'class='btn-primary' align='center'>Producto</td>";
							echo "<td width='35%'class='btn-primary' align='center'>Nombre</td>";
							echo "<td width='10%' class='btn-primary' align='center'>Cantidad</td>";
							echo "<td width='10%' class='btn-primary' align='center'>Descuento</td>";
							echo "<td width='15%' class='btn-primary' align='center'>Precio</td>";
							echo "<td width='15%' class='btn-primary' align='center'>Total</td>";							
							echo "</tr>";
					   
							 $sql_datos=mysqli_query($conexion,"SELECT id,producto,cantidad,precio,fecsis,usuario,iva,descuentop from preventa
													 where preventa='".$preventa."' and usuario='".$vg_login."' and empresa='".$empresa."'");
								$c=1;	$sumaiva=0; $sumag=0;				 
							   while ($datos= mysqli_fetch_row($sql_datos))//04e
								  { 
									$idi=$datos[0];
									$producto=$datos[1];
									 $cantidad=$datos[2];
									$precio=$datos[3];									
									$fecsis=$datos[4];
									$usuario=$datos[5];
									$iva=$datos[6];
									$descuentop=$datos[7];
									$descuentop=number_format($descuentop,0,'.',','); 
									
									 $sql_datospro =mysqli_query($conexion,"select nombre,descripcion,paqueteunidad from producto where id='".$producto."'");
									 while($datosrs= mysqli_fetch_row($sql_datospro))
									  {  $nproducto=$datosrs[0]; 
										 $descripcion=$datosrs[1]; 
										 $paqueteunidad=$datosrs[2]; 
									  }
									 $precio=$precio+$iva;
									 $totalitem=$cantidad*$precio;
									 $iva=$iva*$cantidad;
									 /*if($iva>0)
											  {  
											   $valorsuma=round($totalitem/1.19);
											   $vrivafina=$totalitem-$valorsuma;
											  }
									 else {$totaliva=0;}
									 
									 */
									 
									 if($paqueteunidad=='PU'){$colorpu='#33FF00';} else {$colorpu='';}
									 
									 echo "<tr class='textoprefac'>
											  <td width='5%' bgcolor=$colorpu>
											   <div align='center'><input type='checkbox' name='ch$c' onClick='oquita.value=1;Obuscar.value=1;submit();'>
												<input name='idi$c' id='idi$c' type='hidden' class='texto'  value='$idi' size='5' readonly>
												<input name='producto$c' id='producto$c' type='hidden' class='texto'  value='$producto' size='5' readonly>
												<input name='cantp$c' id='cantp$c' type='hidden' class='texto'  value='$cantidad' size='5' readonly>
												<input name='preciopro$c' id='preciopro$c' type='hidden' class='texto'  value='$precio' size='5' readonly>
											   ";
											   if($paqueteunidad=='PU')
											   { echo "<select name='paqueteunidad$c' class='texto' id='paqueteunidad$c' onChange='Opaquete.value=1;submit();'>";
												  if($paqueteunidad==""){echo "<option value='' selected></option>";}
												  else {echo "<option value='' ></option>";}
												  if($paqueteunidad=="U"){echo "<option value='U$producto' selected>U</option>";}
												  else {echo "<option value='U$producto' >U</option>";}		
												  if($paqueteunidad=="P"){echo "<option value='P$producto' selected>P</option>";}
												  else {echo "<option value='P$producto' >P</option>";}												  											
												echo "</select>";
											
												}  
												  echo "<input name='cambia' type='hidden' id='cambia' value='-' 
												  onClick='oquita.value=1;Obuscar.value=1;' class='botones' title='Clic para eliminar el item ingresado'>";
												echo "</div>
											   </td>																					
											  <td>$producto</td>
											  <td>$nproducto</td>";
											  ?>
                                              <td>
											  <input name='cantipro<?php echo $c; ?>' id='cantipro<?php echo $c; ?>' type='text'
                                                value='<?php echo $cantidad; ?>'
                                                 style="text-align: center;width: 100px; " 
                                                 class="form-control" data-placement="right"
                                                onKeyPress="if(event.keyCode>=48 && event.keyCode<=58){} else {event.keyCode=8;}
								            				if(event.keyCode==13){Oprocesacantidad.value=1;submit();}"	>
                                               </td>  
                                               <td>
                                               <input name='descuentop<?php echo $c; ?>' id='descuentop<?php echo $c; ?>' type='text'
                                                value='<?php echo $descuentop; ?>'
                                                 style="text-align: center;width: 100px; " 
                                                 class="form-control" data-placement="right" 
                                                  onKeyPress="if(event.keyCode==13){Oprocesacantidad.value=1;submit();} mascara(this,cpf);"	>           
                                                </td>  
											  <?php
                                              echo "
											  <td><div align='right'>".number_format($precio,0)."</div></td>											  
											  <td><div align='right'>".number_format($totalitem,0)."</div></td>											 										 
											</tr>";
											$c=$c+1;
											 $sumag=$sumag+$totalitem;
											 $sumaiva=$sumaiva+$iva;
								  }	//04
								  $sumag=$sumag-$sumaiva;
								  $neto=$sumag+$sumaiva;
								 
								 echo "</table></center>";
								$canti=$c-1;  
								echo "<input type='hidden' name='canti' value='$canti' readonly size='10'>";	
						  ?>                        </td>
                         <td width="30%" align="center" valign="top">
							<?php
                               echo "<table border='0' width='90%' cellpadding='10' cellspacing='10'  class='table table-hover'  >";
                               echo "<tr >
									 <td colspan='2' class='btn-primary'><font size='5'><div align='center'><strong>PAGOS</strong></div></font></td>	</tr>";
							   echo "<tr bgcolor='#EAEAEA' class='textoprefac'>
                                                  <td><font size='4'><div align='right'><strong>SUBTOTAL</strong></div></font></td>											   
                                                  <td><font size='6'><div align='right'><strong>".number_format($sumag,0)."</strong></div></font></td>								 
                                                </tr>";
                                      echo "<tr bgcolor='#BFBFBF' class='textoprefac'>
                                                  <td><font size='4'><div align='right'><strong>IVA</strong></div></font></td>											   
                                                  <td><font size='6'><div align='right'><strong>".number_format($sumaiva,0)."</strong></div></font></td>									 
                                                </tr>";			
                                      echo "<tr bgcolor='#EAEAEA' class='textoprefac'>
                                                  <td><font size='4'><div align='right'><strong>TOTAL</strong></div></font></td>											   
                                                  <td><font size='6'><div align='right'><strong>".number_format($neto,0)."</strong></div></font></td>											
                                                </tr>";		
                                echo "</table>";				
						   ?>   
                             
                          <?php
                          if($cliente<>"" && $preventa<>"")
					       {
							    echo "<center> <table width='100%' border='0' cellpadding='0' cellspacing='0' class='table table-hover'>";
							    echo "<tr><td colspan='5' class='btn-primary' align='center' >CLIENTE</td></tr>";
								echo "<tr>";
								echo "<td class='btn-primary'></td>";
								echo "<td class='btn-primary' align='center'>Codigo</td>";
								echo "<td class='btn-primary' align='center'>Nombre</td>";								
								echo "</tr>";
								$ccli=1;
							  $sql_datosrs=mysqli_query($conexion,"SELECT id,nombre,direccion,telefono,email,estado,cupo,dias from cliente
														           where id='".$cliente."'");
							 while($datos= mysqli_fetch_row($sql_datosrs))//04
								{
									 $id=$datos[0];
									 $nombre=$datos[1];
									 $direccion=$datos[2];
									 $telefono=$datos[3];
									 $email=$datos[4];
									 $estado=$datos[5];
									 $cupo=$datos[6];
									 $dias=$datos[7];
									 
									  $total=0;
									  $sql_datoscre=mysqli_query($conexion,"SELECT sum(valor) from credito where cliente='".$cliente."'");
									   while ($datoscre= mysqli_fetch_row($sql_datoscre)) { $total=$datoscre[0];  }
										  
									   $sql_consulta=mysqli_query($conexion,"select sum(valor) as efectivopag from venta_credito where cliente='".$cliente."'");
									   while($datosrs= mysqli_fetch_row($sql_consulta)){ $efectivopagado=$datosrs[0];}

										$saldo=	$total-	$efectivopagado;	
										
										if($saldo<$cupo){$color="#338E08";} else {$color="#AD0000";}
										
									  echo "<tr>";
										  echo "
										  <td width='5%'><input type='checkbox' name='chcli$ccli' onClick='oquitacli.value=1;Obuscar.value=1;submit();'></td>
										  <td width='10%' align='center'>$id</td>																					
										  <td align='center'><font size='2'><strong>$nombre</strong></font></td>										  
										</tr>";
										 echo "<tr >";
										  echo "
										  <td width='5%' colspan='3' align='center' >
										  <font size='4'>
										  <strong>Cupo: ".number_format($cupo)."</strong><br>
										  <strong>Dias:$dias</strong><br>
										  <strong>Saldo: ".number_format($saldo)."</strong>
										  </font></td>										  
										</tr>";
										$ccli++;
								} 
								 echo "</table></center>";
								 $canticli=$ccli-1;  
								echo "<input type='hidden' name='canticli' value='$canticli' readonly size='10'>";
						}	
						  ?>                
                        </td>
                  </tr>
                      
  				
			      <?php
						  }//fin preventa 
				
						  	
					 ?>
                  <tr>
                     <td align="center" valign="top">
                                   
                     </td>                     
                  </tr>
                </table>
                
                    <input name="preventa" type="hidden"   id="preventa" value="<?php echo $preventa; ?>" size="10" >
                <input name="nfactura" type="hidden"   id="nfactura" value="<?php echo $nfactura; ?>" size="10" >
                    <input name="Obuscar" type="hidden" id="Obuscar">
                    <input name="Ocliente" type="hidden" id="Ocliente">
                    <input name="oquita" type="hidden" id="oquita">
                    <input name="obuscadato" type="hidden" id="obuscadato">
                    <input name="oculto" type="hidden" id="oculto">
                    <input name="Onuevaventa" type="hidden" id="Onuevaventa">
                    <input name="oagregar" type="hidden" id="oagregar">
                    <input name="Oguardar" type="hidden" id="Oguardar">
                    <input name="Oguardafact" type="hidden" id="Oguardafact">
                    <input name="oquitacli" type="hidden" id="oquitacli">
                    <input name="Oquitaprefactura" type="hidden" id="Oquitaprefactura">
                    <input name="Opaquete" type="hidden" id="Opaquete">  
                    <input name="Oimprime" type="hidden" id="Oimprime">                                        
                    <input name="Oprocesacantidad" type="hidden" id="Oprocesacantidad">
                    <input name="oproceso" type="hidden" id="oproceso">
  </div>
</div>
</div>  


<script>
function valida(e){
    tecla = (document.all) ? e.keyCode : e.which;
	//Tecla de retroceso para borrar, siempre la permite
	
	 if (tecla==8){
        return true;
    }  

	if (tecla==46){
        return true;
    } 
	
	if (tecla==42){
        return true;
    } 
	
	/*if(tecla==13)
		 { 
			window.location='frm_ventas.php?Obuscar=1&id=' + document.parametros.id.value;
		 }
*/
	// Patron de entrada, en este caso solo acepta numeros
    patron =/[0-9]/;
    tecla_final = String.fromCharCode(tecla);
    return patron.test(tecla_final);
}
</script>

<script language="JavaScript">
function pregunta_guardar_parametros(){ 
    if (confirm('¿Está seguro de Guardar la factura?')== false)
	    { return false; }  
	else
	  { retorno_valida=valida_campos_parametros();
	    if(retorno_valida==false){return false;}
	    else{ Oguardafact.value=1; 
		 return true;
		}
	  }   
} 

function valida_campos_parametros()
{   var mensaje='';
 
	 if(document.parametros.efectivo.value!=''){}
	 else {mensaje=mensaje + 'Dede digitar el valor en efectivo;' }
	 if(document.parametros.cambio.value!=''){}
	 else {mensaje=mensaje + 'Dede existir valor de rederencia de cambio;' } 
	
	if(document.parametros.efectivo.value!='' && document.parametros.cambio.value!=''){return true;}
	else {
		  alert(mensaje);
		  return false;
		 }	

}
</script>


<script type="text/javascript">
		
		 function Facturar (event,preventa,cliente,empresa){
            var chCode = ('charCode' in event) ? event.charCode : event.keyCode;
             //alert ("The Unicode character code is: " + chCode);
			 
			if(chCode==13)
			 { 
			    window.location='frm_ventas.php?Obuscar=1&id=' + document.parametros.id.value;
				
			 }
			
			if(chCode==66 || chCode==98)
			    {
				javascript:window.open('frm_producto_buscar.php?tabla=producto&Obuscar=0&empresa=empresa','bp','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=800,height=700');	
			    }
			  
			   if(event.keyCode==80 || event.keyCode==112)
				{ javascript:window.open('frm_producto_precio.php?tabla=preventa&Obuscar=0&empresa=empresa','Rp','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=400,height=450');
				} 
			
			if(chCode==102 || chCode==70)
			  {
			  javascript:window.open('frm_ventas_factura.php?Oguardar=0&preventa=&empresa=empresa' + preventa + '&cliente=' + cliente ,'Facturar','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=800,height=600');	
			  }
			  
			  if(chCode==99 || chCode==67)
			  {
			  javascript:window.open('frm_cliente_buscar.php?empresa=empresa&preventa=' + preventa  ,'bc','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=800,height=600');	
			  }

			if(event.keyCode==114 || event.keyCode==82)
									{
			javascript:window.open('frm_producto_preventa.php?tabla=preventa&empresa=empresa','pp','menubar=1,toolbar=0,location=0,directories=0,status=1,scrollbars=1,width=400,height=500');
									} 

	    }
    </script>

 <div class="modal fade" id="demo-lg-modal_precio" role="dialog" tabindex="-1" aria-labelledby="demo-default-modal" aria-hidden="true">
         <div class="modal-dialog modal-lg" role="document" align="center">
    		<div class="modal-content" style="width:1050px; height:600px;">

                <!--Modal header-->
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"><i class="pci-cross pci-circle"></i></button>
                    <h4 class="modal-title">PRECIO PRODUCTO</h4>
                </div>

                <!--Modal body-->
                <div class="modal-body">
                     <iframe src="frm_producto_precio.php" width="1000PX" height="450PX" style="border:hidden;"></iframe>
                </div>

                <!--Modal footer-->
                <div class="modal-footer">                    
                   <img src='../imagenes/salir.png' width='30px' height='30px' data-dismiss="modal"/> 
                </div>
            </div>
        </div>
    </div>
     
<?php
mysqli_close($conexion);
 ?>
</form>
<div id="resultado"></div>
</body>
</html>


